OpenNMS API 1.2.9

## org.opennms.netmgt.scriptd.helper
Class SnmpTrapHelper.SnmpNullFactory

    java.lang.Object
      org.opennms.netmgt.scriptd.helper.SnmpTrapHelper.SnmpNullFactory

All Implemented Interfaces:
  SnmpTrapHelper.VarBindFactory

Enclosing class:
  SnmpTrapHelper

private class SnmpTrapHelper.SnmpNullFactory
extends java.lang.Object
implements SnmpTrapHelper.VarBindFactory

Variable binding factory for SnmpNull

Constructor Summary
`private` `SnmpTrapHelper.SnmpNullFactory()`

Method Summary
`SnmpVarBind` `getVarBind(java.lang.String name, java.lang.String encoding, java.lang.String value)` Constructs a new SnmpVarBind with the specified name and value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpTrapHelper.SnmpNullFactory

    private SnmpTrapHelper.SnmpNullFactory()

Method Detail

### getVarBind

    public SnmpVarBind getVarBind(java.lang.String name,
                                  java.lang.String encoding,
                                  java.lang.String value)

  Constructs a new SnmpVarBind with the specified name and value. The value will be encoded as an SnmpNull.The value and encoding parameters are ignored.

  Specified by:
    `getVarBind` in interface `SnmpTrapHelper.VarBindFactory`
  Parameters:
    `name` - The name (a.k.a. "id") of the variable binding to be created
    `encoding` - This parameter value is ignored.
    `value` - This parameter value is ignored.
  Returns:
    The newly-created variable binding

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.